groovy.transform

## Annotation Type TypeChecked

    @Documented
    @Retention(value=SOURCE)
    @Target(value={METHOD,TYPE,CONSTRUCTOR})
    public @interface TypeChecked

This will let the Groovy compiler use compile time checks in the style of Java.

### Optional Element Summary

Optional Elements
`java.lang.Class<? extends TypeCheckerPluginFactory>` `pluginFactory`
`TypeCheckingMode` `value`

### Element Detail

#### pluginFactory

    public abstract java.lang.Class<? extends TypeCheckerPluginFactory> pluginFactory

Default:
  org.codehaus.groovy.transform.stc.TypeCheckerPluginFactory.class

#### value

    public abstract TypeCheckingMode value

Default:
  groovy.transform.TypeCheckingMode.PASS